 var myVote;
/*************************投票开始**************************************************************/
		// 替换投票div
		function replaceVote(vote_html) {
			myVote = document.getElementById("vote_container");
			myVote.innerHTML = vote_html;
			var vote_is_voted = document.getElementById("vote_is_voted");
			if(vote_is_voted) {
				buildVoteResults();
			}
			voteOptionButtonLoaded();
		}
		
		function replaceVoteData(vote_html) {
			myVote = document.getElementById("vote_container");
			myVote.innerHTML = vote_html;
		}
		
		//点击投票
		function checkVoteOption(index,voteId, itemId, sum_num)
		{
			if(window.news) {
				//java方法submitVote
				var flage = window.news.submitVote(voteId, itemId);
				if(flage) {
					document.getElementById("vote_sumnum"+ index).innerText = String(sum_num + 1) + '人';
					buildVoteResults(index, itemId, sum_num);
				}
			}
			
		}
		
		function multivotesubmit(voteId,itemId,num){
			var item="";
			if(window.news){
			var buttons = document.getElementById("vote_body").getElementsByTagName("img");
			for(i=0;i<buttons.length;i++){
            		var imgcontent = buttons[i];
            		var src=imgcontent.src;
            		if(src=='file:///android_asset/topic_subscribed.png' || src=='file:///android_asset/night_topic_subscribed.png'){
            			item=item+","+itemId[i];
            		}
            	}
			
			if(null!=item && item.length>1){
				var flag=window.news.multisubmit(voteId,item);
				if(flag){
					buildMultivoteVoteResults();
				}
			}
			}
		}
		
		function voteItemSelected(e, i) {
        	if(window.news){
        		var imgcontent = document.getElementById("vote_img_" + i);
        		var src=imgcontent.src;
        		if(src=='file:///android_asset/topic_subscribed.png'){
        			
        			imgcontent.src='file:///android_asset/topic_not_subscribed.png';
        				
        		}else if(src=='file:///android_asset/night_topic_subscribed.png'){
        			
        			imgcontent.src='file:///android_asset/night_topic_not_subscribed.png';
        				
        		}else if(src=='file:///android_asset/topic_not_subscribed.png'){
        			
        			imgcontent.src='file:///android_asset/topic_subscribed.png';
        				
        		}else if(src=='file:///android_asset/night_topic_not_subscribed.png'){
        			
        			imgcontent.src='file:///android_asset/night_topic_subscribed.png';
        				
        		}
        		
        	}
        	stopEventBubble(e); 
        }

		
		function buildVoteResults(index, itemId, sumNum)
        {
            var buttons = document.getElementById("vote_body"+index).getElementsByTagName("a");
            var colors = ["#6b96d1","#64a342","#b71925","#dd6b17"];
            var lastPercent = 0;
            for (var i = 0; i < buttons.length; i++) {
                var button = buttons[i];
                //更改文字样式
                button.onclick = "";
                button.className = "vote_resultTitle no_tc";
                //添加进度条
                var percentage = button.getAttribute("percentage");
                var curItemId = button.getAttribute("item_id");
                if (curItemId == itemId) {
                    percentage = ((percentage * sumNum + 1) / (sumNum + 1)).toFixed(2);
                } else {
                    percentage = ((percentage * sumNum) / (sumNum + 1)).toFixed(2);
                }
                var item = button.parentElement;
                var statisticBar = document.createElement("b");
                statisticBar.className = "vote_statisticBar";
                statisticBar.style.background = colors[i % colors.length];
                statisticBar.onload = statisticBarLoaded(statisticBar,percentage);
                item.appendChild(statisticBar);            
                //百分比数字
                var statisticLabel = document.createElement("span");
                if (i == buttons.length - 1) {
                    lastPercent = 100 - lastPercent;
                    if (lastPercent < 0) {
                        lastPercent = 0;
                    }
                    statisticLabel.innerText = lastPercent + "%";
                } else {
                    currentPercent = formatFloat(percentage);
                    lastPercent += currentPercent;
                    statisticLabel.innerText = currentPercent + "%";
                }
                
                item.appendChild(statisticLabel);
            }
        }
		function buildMultivoteVoteResults()
		{
			var buttons = document.getElementById("vote_body").getElementsByTagName("img");
		    var colors = ["#6b96d1","#64a342","#b71925","#dd6b17"];
		    var lastPercent = 0;
		    var num=buttons.length;
		    for (var i = 0; i < num; i++) {
		    	 var button = buttons[0];
		    	 var percentitem = document.createElement("div");
		    	 var statisticBar = document.createElement("div");
				    percentitem.onclick = "";
				    var item = button.parentElement;
			        percentitem.style.marginLeft="10px";
			        statisticBar.className = "multi_vote_statisticBar";
			        statisticBar.style.background = colors[i % colors.length];
			        var percentage = button.getAttribute("percentage"); 
			        statisticBar.onload = statisticBarLoaded(statisticBar,percentage);
			        percentitem.appendChild(statisticBar);
			        
			        //百分比数字
			        var statisticLabel = document.createElement("span");
			        statisticLabel.className="multi_vote_percent";
			        if (i == num - 1) {
			        	lastPercent = 100 - lastPercent;
			        	if (lastPercent < 0) {
			        		lastPercent = 0;
			        	}
			        	statisticLabel.innerText = lastPercent + "%";
			        } else {
			        	currentPercent = formatFloat(percentage);
			        	lastPercent += currentPercent;
			        	statisticLabel.innerText = currentPercent + "%";
			        }
			   
			    percentitem.appendChild(statisticLabel);
			    item.appendChild(percentitem); 
			    item.removeChild(button);
		    }
		    var submit = document.getElementById("votesubmit");
		    submit.parentNode.removeChild(submit);
		    var votenum=document.getElementById("vote_sumnum");
		    var reg = new RegExp(/\d*/);
		    var str = votenum.innerText;
		    var arrMactches = str.match(reg)
		    if(null!=arrMactches && arrMactches.length>0){
		    	var i = new Number(arrMactches[0]) 
		    	votenum.innerText=(i+1)+"人";
		    }
		}
		
		function formatFloat(number) {
		    return Math.round(number*100);
		}
		
		function getwidth(number){
			if(number==0){
				return 30;
			}
			return Math.round(number*350/100);
		}

		function updateVoteStatus(status)
		{
		    document.getElementById("vote_status").innerText = status;
		}

		function voteOptionButtonLoaded()
		{
		    var buttons = document.getElementById("vote_body");
		    if (!buttons) {
		        return;
		    }
		    buttons = buttons.getElementsByTagName("a");
		    for (var i = 0; i < buttons.length; i++) {
		        var button = buttons[i];
		        button.addEventListener('touchstart', function(){
		            this.setAttribute("hover",true);
		        }, false);
		        button.addEventListener('touchend', function(){
		            this.removeAttribute("hover");
		        }, false);
		    }
		}

		function statisticBarLoaded(element,percentage){
			 var pos, runTime,
	            startTime = + new Date,
	            timer = setInterval(function () {
	                    runTime = + new Date - startTime;
	                    pos = runTime / 200;

	                    if (pos >= 1) {
	                        clearInterval(timer);
	                        element.style.width = 90*percentage + '%';
	                    } else {
	                        element.style.width = 90*percentage*pos + '%';
	                    };
	            }, 13);
		}
		function loadImage(elem, sid, extension) {
			console.log("http://in.3b2o.com/img/show/sid/" + sid + "/w/576/h/1000/t/0/show." + extension);
			elem.src = "http://in.3b2o.com/img/show/sid/" + sid + "/w/576/h/1000/t/0/show." + extension;
		}
		function toAppLink(softid,appid){
			softid = softid+"";
			appid = appid+"";
			 if (window.news) {
				 window.news.gotoNetApp(softid, appid);
             }
		}
		/*************************投票结束**************************************************************/
		function onDigClicked(newsid) {
			 if (window.news) {
				 window.news.digNews(newsid);
             }
             var digBtn = document.getElementById("dig_btn");
             digBtn.innerHTML = "小编感动哭了";
		}
		function onBuryClicked(newsid) {
		 if (window.news) {
				 window.news.buryNews(newsid);
             }
          	var buryBtn = document.getElementById("bury_btn");
             buryBtn.innerHTML = "哭晕在厕所";
		}